Retrieve details of a specific LLM/VLM training job
curl --request GET \
--url https://training-suite.app.simplismart.ai/job/get/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://training-suite.app.simplismart.ai/job/get/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://training-suite.app.simplismart.ai/job/get/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://training-suite.app.simplismart.ai/job/get/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://training-suite.app.simplismart.ai/job/get/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://training-suite.app.simplismart.ai/job/get/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://training-suite.app.simplismart.ai/job/get/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"experiment_name": "<string>",
"status": "QUEUED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"progress": 123,
"dataset_config": {
"preprocessing": {
"lazy_tokenize": true,
"streaming": true,
"prompt": {
"system": "<string>",
"max_length": 123,
"template": "<string>"
}
},
"split": {
"type": "random",
"ratios": [
123
]
}
},
"model_details": {
"base_model": "<string>",
"ownership": "public",
"source_type": "hf",
"model_type": "llm",
"quantization": {
"quant_bits": 4
}
},
"train_config": {
"type": "sft",
"torch_dtype": "float16",
"task_type": "causal_lm",
"train_type": "lora",
"tuner_backend": "<string>",
"hyperparameters": {
"num_epochs": 123,
"per_device_train_batch_size": 123,
"per_device_eval_batch_size": 123,
"gradient_checkpointing": true,
"save_steps": 123,
"save_total_limit": 123,
"eval_steps": 123,
"logging_steps": 123,
"learning_rate": 123,
"dataloader_num_workers": 123
},
"adapter_config": {
"r": 123,
"alpha": 123,
"dropout": 123,
"targets": [
"<string>"
]
},
"distributed": {
"type": "ddp"
}
},
"dataset_details": {
"dataset_name": "<string>",
"dataset_path": "<string>",
"dataset_description": "<string>",
"dataset_type": "jsonl",
"dataset_format": "sharegpt",
"source_type": "s3",
"ownership": "public",
"secret_id": "<string>",
"region": "<string>"
},
"infra_config": {
"gpu_type": "h100",
"gpu_count": 2,
"infra_type": "<string>",
"node_count": 2
},
"output_model_path": "<string>",
"error_message": "<string>"
}LLMs / VLMs
Retrieve List of LLM/VLM Jobs By Org ID
Fetches a list of all LLM or VLM training jobs associated with the specified organization.
GET
/
job
/
get
/
Retrieve details of a specific LLM/VLM training job
curl --request GET \
--url https://training-suite.app.simplismart.ai/job/get/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://training-suite.app.simplismart.ai/job/get/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://training-suite.app.simplismart.ai/job/get/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://training-suite.app.simplismart.ai/job/get/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://training-suite.app.simplismart.ai/job/get/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://training-suite.app.simplismart.ai/job/get/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://training-suite.app.simplismart.ai/job/get/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"experiment_name": "<string>",
"status": "QUEUED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"progress": 123,
"dataset_config": {
"preprocessing": {
"lazy_tokenize": true,
"streaming": true,
"prompt": {
"system": "<string>",
"max_length": 123,
"template": "<string>"
}
},
"split": {
"type": "random",
"ratios": [
123
]
}
},
"model_details": {
"base_model": "<string>",
"ownership": "public",
"source_type": "hf",
"model_type": "llm",
"quantization": {
"quant_bits": 4
}
},
"train_config": {
"type": "sft",
"torch_dtype": "float16",
"task_type": "causal_lm",
"train_type": "lora",
"tuner_backend": "<string>",
"hyperparameters": {
"num_epochs": 123,
"per_device_train_batch_size": 123,
"per_device_eval_batch_size": 123,
"gradient_checkpointing": true,
"save_steps": 123,
"save_total_limit": 123,
"eval_steps": 123,
"logging_steps": 123,
"learning_rate": 123,
"dataloader_num_workers": 123
},
"adapter_config": {
"r": 123,
"alpha": 123,
"dropout": 123,
"targets": [
"<string>"
]
},
"distributed": {
"type": "ddp"
}
},
"dataset_details": {
"dataset_name": "<string>",
"dataset_path": "<string>",
"dataset_description": "<string>",
"dataset_type": "jsonl",
"dataset_format": "sharegpt",
"source_type": "s3",
"ownership": "public",
"secret_id": "<string>",
"region": "<string>"
},
"infra_config": {
"gpu_type": "h100",
"gpu_count": 2,
"infra_type": "<string>",
"node_count": 2
},
"output_model_path": "<string>",
"error_message": "<string>"
}Query Parameters
Response
The requested training job details were retrieved successfully.
Was this page helpful?